<?php
/**
 * @copyright Copyright 2006-2022 Bigmouse, Inc
 * @version $Id$: class.jp_format_admin.php 1 2022-11-28 09:09 bigmouse-inada $
 **/
if (!defined('IS_ADMIN_FLAG') || IS_ADMIN_FLAG !== true) {
    die('Illegal Access');
}

class jp_format_admin extends base
{

    function __construct()
    {
        $this->attach($this, array(
            'NOTIFY_ADMIN_ORDERS_EDIT_BEGIN'
        ));
    }

    function update(&$class, $eventID, $paramsArray = array())
    {
        global $messageStack, $db;
        if ($eventID == 'NOTIFY_ADMIN_ORDERS_EDIT_BEGIN') {
            global $order, $oID;
            $sql = $db->Execute("SELECT delivery_telephone, delivery_fax, billing_telephone, billing_fax, customers_fax, customers_name_kana, delivery_name_kana, billing_name_kana FROM " . TABLE_ORDERS . " WHERE orders_id = '" . (int)$oID . "'");
            $order->customer['name_kana'] = $sql->fields['customers_name_kana'];
            $order->customer['fax'] = $sql->fields['customers_fax'];
            $order->delivery['name_kana'] = $sql->fields['delivery_name_kana'];
            $order->delivery['telephone'] = $sql->fields['delivery_telephone'];
            $order->delivery['fax'] = $sql->fields['delivery_fax'];
            $order->billing['name_kana'] = $sql->fields['billing_name_kana'];
            $order->billing['telephone'] = $sql->fields['billing_telephone'];
            $order->billing['fax'] = $sql->fields['billing_fax'];
        }
    }
}
