<?php
/**
 * @copyright Copyright 2006-2022 Bigmouse, Inc
 * @version $Id$: lang.login.php 1 2022-10-21 14:15 bigmouse-inada $
 **/

$define = [
    'NAVBAR_TITLE' => 'ログイン',
    'HEADING_TITLE' => 'いらっしゃいませ<br />サインインしてください',
    'HEADING_NEW_CUSTOMER' => '【初めてのご来店・未登録の方は】<br /> お客様の情報を入力し、アカウントを作成してください。',
    'HEADING_NEW_CUSTOMER_SPLIT' => 'はじめてのお客様',
    'TEXT_NEW_CUSTOMER_INTRODUCTION' => 'この機会に是非ご登録ください!<br />' . STORE_NAME . 'では、一度アカウントを作成していただきますと以降のご利用ではお客様情報などの入力を省くことができ、快適にショッピングを楽しんでいただけます。',
    'TEXT_NEW_CUSTOMER_INTRODUCTION_SPLIT' => 'PayPal アカウントをお持ちですか？　クレジットカードでの簡単な決済をご希望の場合、以下の PayPal ボタンからショップへのアカウント登録手続きなしでご注文いただくことが出来ます。',
    'TEXT_NEW_CUSTOMER_POST_INTRODUCTION_DIVIDER' => '<span class="larger">もしくは…</span><br />',
    'TEXT_NEW_CUSTOMER_POST_INTRODUCTION_SPLIT' => '<strong>' . STORE_NAME . '</strong>にアカウントを作成していただきますと以降のご利用ではお客様情報などの入力を省くことができ、過去の注文履歴の確認など、快適にショッピングを楽しんでいただけます。',
    'HEADING_RETURNING_CUSTOMER' => '【アカウントをお持ちの方は】<br />ご登録されたメールアドレス・パスワードでログインしてください。',
    'HEADING_RETURNING_CUSTOMER_SPLIT' => '登録済みのお客様',
    'TEXT_RETURNING_CUSTOMER_SPLIT' => '注文手続きを進めるために、<strong>' . STORE_NAME . '</strong> にログインして下さい。',
    'TEXT_PASSWORD_FORGOTTEN' => 'パスワードをお忘れですか?',
    'TEXT_LOGIN_ERROR' => 'エラー: メールアドレスまたはパスワードが一致しませんでした。',
    'TEXT_VISITORS_CART' => '<strong>注:</strong>お客様の"ビジターズカート"の内容は、ログインされると"メンバーズカート"の中に自動的に入ります。<a href="javascript:session_win();">[詳細]</a>',
    'TABLE_HEADING_PRIVACY_CONDITIONS' => '<span class="privacyconditions">個人情報保護方針について</span>',
    'TEXT_PRIVACY_CONDITIONS_CONFIRM' => '<span class="privacyagree">個人情報保護方針に同意します。</span>',
    'ERROR_SECURITY_ERROR' => 'ログイン中にアクセスエラーがありました。',
    'TEXT_LOGIN_BANNED' => 'エラー: アクセスが拒否されました。',
    'TEXT_PRIVACY_CONDITIONS_DESCRIPTION' => '<span class="privacydescription">個人情報保護方針に同意される場合はチェックボックスをクリックしてください。内容はこちらでご覧いただけます。</span> <a href="' . zen_href_link(FILENAME_PRIVACY, '', 'SSL') . '"><u>個人情報保護方針</u></a>.'
    ];
    return $define;
